import "core-js/modules/es6.promise";
import "core-js/modules/es6.array.iterator";
import "core-js/modules/es6.array.for-each";

var config = {
  attributes: true,
};
var callback = function(mutationsList) {
  for (var mutation of mutationsList) {
    if (
      mutation.type == "attributes" &&
      mutation.attributeName == "aria-expanded"
    ) {
      var ariaExpanded = getBooleanValue(
        mutation.target.getAttribute("aria-expanded")
      );
      var clientWidth = mutation.target.clientWidth;
      var dialogContainers = Array.prototype.slice.call(
        document.querySelectorAll(".confirm-dialog-container-fullscreen")
      );
      if (clientWidth === 0) {
        ariaExpanded = false;
        dialogContainers.forEach(function(dialogContainer) {
          dialogContainer.setAttribute("data-sidebar", "absent");
        });
      } else if (clientWidth > 0) {
        dialogContainers.forEach(function(dialogContainer) {
          if (ariaExpanded) {
            dialogContainer.setAttribute("data-sidebar", "expanded");
          } else {
            dialogContainer.setAttribute("data-sidebar", "collapsed");
          }
        });
      }
      padConfirmDialog(ariaExpanded);
    }
  }
};

function padConfirmDialog(ariaExpanded) {
  let dialogs = Array.prototype.slice.call(
    document.querySelectorAll(".confirm-dialog-container-fullscreen")
  );
  if (dialogs.length > 0) {
    if (ariaExpanded) {
      dialogs.forEach(function(dialog) {
        dialog.classList.add("pad-left");
      });
    } else {
      dialogs.forEach(function(dialog) {
        dialog.classList.remove("pad-left");
      });
    }
  }
}

function getBooleanValue(str) {
  return str === "true";
}

function onLoad() {
  var wpSideMenuObserver = new MutationObserver(callback);
  let wpCollapseButton = document.querySelector("#collapse-button");
  wpSideMenuObserver.observe(wpCollapseButton, config);
}
window.addEventListener("load", onLoad);

window.trackEvent = function(
  category,
  action,
  label = "",
  appendDomain = true
) {
  if (appendDomain) {
    label += " - " + window.location.host;
  }
  if (typeof window.ga === "function") {
    window.ga("send", "event", category, action, label);
  }
};
